%define srcName xkeyval

Name: tetex-latex-xkeyval
Version: 2.5f
Release: alt1
Summary: A LaTeX macro package
Summary(ru_RU.UTF-8): LaTeX макропакет расширяющий keyval
License: LPPL (LaTeX Project Public License)
Group: Publishing
Url: http://www.ctan.org/tex-archive/macros/latex/contrib/xkeyval/

BuildArchitectures: noarch

Requires: tetex-core tetex-latex

Packager: Andrey Bergman <vkni@altlinux.org>

Source: %srcName-%version.tar.bz2

%description
This package is an extension of the keyval package by David Carlisle
and offers additional macros for setting keys and declaring and
setting class or package options.

%prep
%setup -q -n %srcName-%version

#%build

%install
mkdir -p %buildroot{%_datadir/texmf/tex/{generic,latex}/xkeyval,%_datadir/texmf/doc/latex/xkeyval,%_docdir}
install -pD -m644 doc/xkeyval.pdf %buildroot%_datadir/texmf/doc/latex/xkeyval/
install -pD -m644 run/pst-xkey.sty %buildroot%_datadir/texmf/tex/latex/xkeyval/
install -pD -m644 run/xkeyval.sty %buildroot%_datadir/texmf/tex/latex/xkeyval/
install -pD -m644 run/xkvview.sty %buildroot%_datadir/texmf/tex/latex/xkeyval/
install -pD -m644 run/xkvltxp.sty %buildroot%_datadir/texmf/tex/latex/xkeyval/
install -pD -m644 run/keyval.tex %buildroot%_datadir/texmf/tex/generic/xkeyval/
install -pD -m644 run/pst-xkey.tex %buildroot%_datadir/texmf/tex/generic/xkeyval/
install -pD -m644 run/xkeyval.tex %buildroot%_datadir/texmf/tex/generic/xkeyval/
install -pD -m644 run/xkvtxhdr.tex %buildroot%_datadir/texmf/tex/generic/xkeyval/

%post
[ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:

%postun
[ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:

%files
%_datadir/texmf/tex/generic/xkeyval/*
%_datadir/texmf/tex/latex/xkeyval/*
%_datadir/texmf/doc/latex/xkeyval/*
%doc README

%changelog
* Fri Mar 07 2008 Andrey Bergman <vkni@altlinux.org> 2.5f-alt1
- initial release for Sisyphus

